High-Level Data Reduction Library: Barycentric correction

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
Barycentric correction

This module contains a function to derives the barycentric correction of an observation, i.e. the wavelength shift to apply to a spectrum to compensate for the motion of the observer with respect to the barycenter of the solar system, by using the ERFA (Essential Routines for Fundamental Astronomy) library. ERFA is a C library containing key algorithms for astronomy, and is based on the SOFA library published by the International Astronomical Union (IAU). More...

## Functions
cpl_error_code | hdrl_barycorr_compute (double ra, double dec, const cpl_table *eop_table, double mjdobs, double time_to_mid_exposure, double longitude, double latitude, double elevation, double pressure, double temperature, double humidity, double wavelength, double *barycorr)
| Derives the barycentric correction using the erfa function eraApco13(). The latter For a terrestrial observer, prepare star-independent astrometry parameters for transformations between ICRS and observed coordinates. ERFA models are used to obtain the Earth ephemeris, CIP/CIO and refraction constants.

## Detailed Description

This module contains a function to derives the barycentric correction of an observation, i.e. the wavelength shift to apply to a spectrum to compensate for the motion of the observer with respect to the barycenter of the solar system, by using the ERFA (Essential Routines for Fundamental Astronomy) library. ERFA is a C library containing key algorithms for astronomy, and is based on the SOFA library published by the International Astronomical Union (IAU).

## Function Documentation

## ◆ hdrl_barycorr_compute()

cpl_error_code hdrl_barycorr_compute | ( | double | ra,
|  | double | dec,
|  | const cpl_table * | eop_table,
|  | double | mjdobs,
|  | double | time_to_mid_exposure,
|  | double | longitude,
|  | double | latitude,
|  | double | elevation,
|  | double | pressure,
|  | double | temperature,
|  | double | humidity,
|  | double | wavelength,
|  | double * | barycorr
| ) |  |

Derives the barycentric correction using the erfa function eraApco13(). The latter For a terrestrial observer, prepare star-independent astrometry parameters for transformations between ICRS and observed coordinates. ERFA models are used to obtain the Earth ephemeris, CIP/CIO and refraction constants.

Parameters

  ra | Target right ascension (J2000) [deg]
  dec | Target declination (J2000) [deg]
  eop_table | Earth orientation parameter
  mjdobs | Start of observation [days]
  time_to_mid_exposure | Time to mid exposure, e.g. EXPTIME/2. [s]
  longitude | Telescope geodetic longitude (+ = East ) [deg]
  latitude | Telescope geodetic latitude (+ = North) [deg]
  elevation | Telescope elevation above sea level [m]
  pressure | Pressure at the observer [hPa == mbar]
  temperature | Ambient temperature at the observer [deg C]
  humidity | Relative humidity at the observer [range 0 - 1]
  wavelength | Observing wavelength [micrometer]
  barycorr | Output: Computed barycentric correction [m/s]

Returns
  CPL_ERROR_NONE if everything is ok, an error code otherwise

Note
  Please check the notes in the eraApco13() function.